## plymouth 0.9.4git20190712

=== debian/changelog ===
plymouth (0.9.4git20190712-0ubuntu4) eoan; urgency=medium

  * debian/plymouth-theme-spinner.postinst/rm:
    - call update-grub when installing/removing the theme so grub isn't
      stucked on colors from the old theme (lp: #1837360)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 09 Oct 2019 17:23:40 +0200

plymouth (0.9.4git20190712-0ubuntu3) eoan; urgency=medium

  * Update grub script to yaru aubergine.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 11 Sep 2019 11:42:46 +0100

plymouth (0.9.4git20190712-0ubuntu2) eoan; urgency=medium

  * Add tile support in script plugin, use it to create background
    matching gnome-shell.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 10 Sep 2019 14:41:56 +0100

plymouth (0.9.4git20190712-0ubuntu1) eoan; urgency=medium

  * Update to a new upstream git snapshot including those changes:
    - new BGRT theme, using the firmware boot splash as background
    - new firmware-upgrade mode for use by fwupd
    - fix failing to pick the native monitor mode starting with kernel 5.2
  * debian/control:
    - build-depends on gettext and intltool
    - build a new binary for the spinner theme
  * debian/plymouth.install:
    - include the translations
  * debian/control,
    debian/plymouth-themes.install:
    - install the new bgrt theme in plymouth-themes for now, we probably
      want to move it to a new binary (with spinner which it relies on)
      if/when we make it default
  * debian/libplymouth4.symbols:
    - refreshed for the new version symbols
  * debian/plymouth.postinst,
    debian/plymouth-theme-ubuntu-logo.postinst:
    debian/plymouth-theme-ubuntu-text.postinst:
    - remove transition code that was needed until xenial
  * debian/plymouth-theme-spinner.install:
    - install the spinner and bgrt themes in that binary
  * debian/plymouth-theme-spinner.postinst/postrm:
    - install the new bgrt theme with an higher alternative score,
      call update-initramfs
  * debian/patches/0008-show-delay.patch:
    - removed, the patch is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Jul 2019 17:31:09 +0200

plymouth (0.9.4-1ubuntu2) eoan; urgency=medium

  * debian/patches/0001-awk.patch,
    debian/patches/0004-return-code.patch:
    - remove those Debian patches, we don't ship plymouth-set-default-theme
      in Ubuntu so they only creates more work for package updates
  * debian/patches/avoid-sigpipe.patch:
    - removed, the issue was fixed upstream with another commit
      https://gitlab.freedesktop.org/plymouth/plymouth/commit/396cae8e
  * debian/patches/details-short-prompt.patch:
    - remove, that change was never upstreamed and it was useful when
      cryptsetup was using multilines prompts which doens't seem the 
      case anymore
  * debian/patches/fix-split-writes.patch:
    - remove, the issue was fixed in 0.9.2 with another solution
      https://gitlab.freedesktop.org/plymouth/plymouth/commit/b97c30a0
  * Updated some patches description with upload/upstream references

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 12 Jul 2019 11:34:05 +0200

plymouth (0.9.4-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - include ubuntu theme logos:
      themes/ubuntu-logo/*, debian/source/include-binaries.
    - debian/libplymouth4.apport: add Apport hook.
    - Ship ubuntu-logo instead of debian-logo (debian/rules and
      debian/local/plymouth.hook).
    - Ship debian/source_plymouth.apport apport hook (debian/rules).
    - Add plymouth-label as a separate package and makes themes depending on
      it (debian/control, debian/plymouth-label.install,
      debian/plymouth-themes.install).
    - Drop fontconfig dependencies from plymouth; they are on plymouth-label.
    - Ship plymouth-theme-ubuntu-logo and plymouth-theme-ubuntu-text specific
      themes (debian/plymouth-theme-ubuntu-* and debian/control) and add
      Recommends on it | plymouth-theme to accommodate flavors.
    - Remove debian/patches/0003-default-theme.patch as we handle our defaults
      via alternatives. (and refresh debian/patches/0008-show-delay.patch)
    - debian/patches/misc-changes.patch: old undocumented inline changes.
      export a new symbol added in debian/libplymouth4.symbols.
    - debian/patches/avoid-sigpipe.patch:
      Use first a socket connection before fallbacking to regular write()
    - debian/patches/details-short-prompt.patch: When we display bullets in the
      ubuntu details theme, shorten the prompt.
    - debian/patches/details-remove-separator.patch: Removed explicit printing
      of ':'.
    - debian/patches/details-update-status.patch: Implement update status (U)
      splash plugin function for details plugin, imply display those updates
      as text messages.
    - debian/patches/initramfsless-boot.patch: support intramfsless boot.
    - debian/patches/fix-split-writes.patch: fix split writes for long server
      responses.
    - debian/patches/ubuntu-add-splash-option.patch: add "splash" option as a
      condition to trigger plymouth.
    - debian/rules:
      - disable optimization if noopt found in $DEB_BUILD_OPTION
      - enable -Werror
      - use ubuntu-themes background color
    - debian/local/<initramfs scripts>: export OPTION=FRAMEBUFFER for user's
      command line argument explicitly disabling framebuffer.
    - We use alternatives instead of plymouth-set-default-theme tool:
      + debian/plymouth-themes.{prerm,postinst}: ensure we select one default
        plymouth logo and text themes through alternatives even when we remove
        ubuntu-base ones.
      + debian/rules, debian/plymouth.{install,links), don't ship non
        non alternative-based theme policy files and tools.
      + update plymouth.README.Debian to tell to use update-alternative
        instead of set-default-theme
      + change debian/local/plymouth.hook to use update-alternative to get
        default theme instead of set-default-theme. Also, don't copy

