## plymouth 0.9.4git20200109

=== debian/changelog ===
plymouth (0.9.4git20200109-0ubuntu8) focal; urgency=medium

  * debian/local/spinner, debian/rules:
    - Install the Ubuntu yaru spinner assets, thanks Frederik for working
      on/providing the new images!

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Mar 2020 11:05:07 +0100

plymouth (0.9.4git20200109-0ubuntu7) focal; urgency=medium

  * debian/local/plymouth.hook:
    - try to copy the watermark image in the initramfs only if the spinner
      theme is installed (lp: #1866377)

 -- Sebastien Bacher <seb128@ubuntu.com>  Sat, 07 Mar 2020 10:26:16 +0100

plymouth (0.9.4git20200109-0ubuntu6) focal; urgency=medium

  * themes/ubuntu-logo/ubuntu-logo.png:
    - update the logo using in plymouth/gdm to be monochrome,
      thanks Wayne!

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Mar 2020 10:27:38 +0100

plymouth (0.9.4git20200109-0ubuntu5) focal; urgency=medium

  * debian/local/plymouth.hook,
    debian/rules:
    - install the ubuntu-logo asset as a watermark for the bgrt theme

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 06 Mar 2020 10:09:07 +0100

plymouth (0.9.4git20200109-0ubuntu3.3) focal; urgency=medium

  * debian/local/plymouth.hook:
    - handle the case when there is no theme alternative defined
      (lp: #1865959)

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 04 Mar 2020 12:23:07 +0100

plymouth (0.9.4git20200109-0ubuntu3.2) focal; urgency=medium

  * debian/patches/git_assert_fix.patch:
    - backport an assert fix from upstream git

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 18:07:23 +0100

plymouth (0.9.4git20200109-0ubuntu3.1) focal; urgency=medium

  * debian/local/plymouth.hook:
    - if the current theme has an ImageDir includes the directory
      in the initramfs (lp: #1864586) 

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 03 Mar 2020 17:02:28 +0100

plymouth (0.9.4git20200109-0ubuntu3) focal; urgency=medium

  * Drop setting purple on grub boot for now, until we have a good plan
    for flickerless boot either by tweaking our theme for new world order,
    or changing to a different theme.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 20 Feb 2020 16:34:20 +0000

plymouth (0.9.4git20200109-0ubuntu2) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:22 +0000

plymouth (0.9.4git20200109-0ubuntu1) focal; urgency=medium

  * New upstream version:
    - includes a new keyboard layout/capslock indicator
  * debian/control, debian/libplymouth5.lintian-overrides, debian/rules:
    - updated for the library soname change
  * debian/libplymouth5.*:
    - updated for the soname change
  * debian/patches/misc-changes.patch:
    - updated to fix an implicity declaration warning
  * debian/patches/0001-script-Add-image-tile-support.patch:
    - removed, included in the new version
  * debian/plymouth.install:
    - install the new logrotate.d boot.log entry
  * debian/plymouth-themes.install:
    - updated for the throbgress plugin removal

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 09 Jan 2020 17:03:09 +0100

plymouth (0.9.4git20190712-0ubuntu5) focal; urgency=medium

  * debian/patches/misc-changes.patch: fix an Ubuntu-specific bug in
    handling plymouth ask-for-password with a --command option that results
    in a crash, breaking disk unlocking with zfs.  Thank to Witold Krecicki
    for the fix.  LP: #1810154.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 14 Dec 2019 10:43:21 -0800
