=== debian/control ===
--- 
+++ 
@@ -61,7 +61,7 @@
  .
  This package contains the X11 renderer for a graphical boot splash.
 
-Package: libplymouth4
+Package: libplymouth5
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -80,7 +80,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libplymouth4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: libplymouth5 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Breaks: plymouth-dev (<< 0.9.2-1~)
 Replaces: plymouth-dev (<< 0.9.2-1~)
 Description: graphical boot animation and logger - development files
