## plymouth 0.9.4git20200323

=== debian/changelog ===
plymouth (0.9.4git20200323-0ubuntu6) focal; urgency=medium

  * debian/patches/ubuntu-default-devicetimeout.patch: Increase the graphics
    probing timeout to 8 seconds to match upstream. This also fixes missing
    graphics when booting some ThinkPads. (LP: #1838725)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Wed, 01 Apr 2020 17:49:08 +0800

plymouth (0.9.4git20200323-0ubuntu5) focal; urgency=medium

  * debian/patches/git-drm-improve.patch:
    - backport an upstream patch to improve drm/kms probing

  [ Daniel Van Vugt ]
  * debian/patches/ubuntu-spinner-fsck.patch:
    - Add support for fsck status messages (lp: #1867130)
  * debian/patches/gitlab-center-messages.patch:
    - Center message text within labels if labels are centered

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 31 Mar 2020 10:23:57 +0200

plymouth (0.9.4git20200323-0ubuntu3) focal; urgency=medium

  * debian/control:
    - plymouth-theme-spinner Depends on plymouth-label, it's required
      to be able to display messages on the splash screen

 -- Sebastien Bacher <seb128@ubuntu.com>  Sun, 29 Mar 2020 12:23:27 +0200

plymouth (0.9.4git20200323-0ubuntu2) focal; urgency=medium

  * debian/patches/ubuntu-spinner-style.patch:
    - Ubuntu style for the spinner/bgrt theme.
      Use the Ubuntu font instead of cantarell (lp: #1869170)
      Display the password entry under the bios logo (lp: #1867131)
  * debian/local/lock.png, debian/local/entry.png, debian/rules:
    - theme the spinner password entry assets to have an Ubuntu orange
      color rather than an upstream blue one
  * themes/ubuntu-logo/ubuntu-logo.png:
    - updated the logo image to be correctly center again, thanks Daniel
      (lp: #1869150)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Mar 2020 16:31:27 +0100

plymouth (0.9.4git20200323-0ubuntu1) focal; urgency=medium

  * New git snapshot
  * debian/patches/git_assert_fix.patch:
    - removed, included in the new version
  * themes/ubuntu-logo/ubuntu-logo.png:
    - updated logo from design with better resolution (lp: #1866413)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 Mar 2020 13:07:07 +0100
