## plymouth 0.9.4git20200323-0ubuntu6.2+10.0trisquel11

=== debian/changelog ===
plymouth (0.9.4git20200323-0ubuntu6.2+10.0trisquel11) nabia; urgency=medium

  * Plymouth themes modified for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 30 Nov 2021 17:48:24 +0000

plymouth (0.9.4git20200323-0ubuntu6.2) focal; urgency=medium

  * debian/patches/timeout-for-ping.patch: Raise the ping timeout from 2 to
    30 seconds. Two seconds was way too short,
    - causing ping to randomly fail on some busy multi-monitor start-ups,
    - causing gdm to think no plymouthd is running,
    - causing gdm to never call 'plymouth deactivate',
    - causing plymouthd to retain ownership of the graphics hardware,
    - causing gdm's login screen to fail to start. (LP: #1872159)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 02 Nov 2020 18:02:17 +0800

plymouth (0.9.4git20200323-0ubuntu6.1) focal; urgency=medium

  * Clear twostep footer, at the end of fsck, and clear lingering Ctrl+C
    message LP: #1880250

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 30 Sep 2020 15:01:26 +0100
