=== debian/rules ===
--- 
+++ 
@@ -38,10 +38,10 @@
 		--enable-static \
 		--enable-tracing \
 		--disable-gdm-transition \
-		--with-background-color=0x2c001e \
-		--with-background-start-color-stop=0x2c001e \
-		--with-background-end-color-stop=0x2c001e \
-		--with-logo=/usr/share/plymouth/ubuntu-logo.png \
+		--with-background-color=0x000000 \
+		--with-background-start-color-stop=0x000000 \
+		--with-background-end-color-stop=0x000000 \
+		--with-logo=/usr/share/plymouth/trisquel-logo.png \
 		--with-release-file=/etc/os-release \
 		--with-system-root-install \
 		--without-rhgb-compat-link
@@ -79,10 +79,10 @@
 	install -D -m 0755 debian/local/plymouth.panic debian/plymouth/usr/share/initramfs-tools/scripts/panic/plymouth
 
 	# Adding other debian specific files
-	install -D -m 0644 themes/ubuntu-logo/ubuntu-logo.png debian/plymouth/usr/share/plymouth/ubuntu-logo.png
+	install -D -m 0644 themes/trisquel-logo/trisquel-logo.png debian/plymouth/usr/share/plymouth/trisquel-logo.png
 	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/plymouth-update-initrd
 	install -D -m 0644 debian/local/plymouth.lsb debian/plymouth/lib/lsb/init-functions.d/99-plymouth
-	install -D -m 0644 themes/ubuntu-logo/ubuntu-logo.png debian/plymouth/usr/share/plymouth/themes/spinner/watermark.png
+	install -D -m 0644 themes/trisquel-logo/trisquel-logo.png debian/plymouth/usr/share/plymouth/themes/spinner/watermark.png
 
 	# Adding apport file (from Ubuntu)
 	mkdir -p debian/plymouth/usr/share/apport/package-hooks
@@ -90,6 +90,8 @@
 
 	# Install the ubuntu spinner assets
 	cp debian/local/spinner/* debian/plymouth-theme-spinner/usr/share/plymouth/themes/spinner
+	cp debian/local/entry.png debian/plymouth-theme-spinner/usr/share/plymouth/themes/spinner
+	cp debian/local/lock.png debian/plymouth-theme-spinner/usr/share/plymouth/themes/spinner
 
 override_dh_systemd_start:
 	dh_systemd_start --no-start
