## plymouth 0.9.4%2Bmint2%2Bulyssa

=== debian/changelog ===
plymouth (0.9.4+mint2+ulyssa) ulyssa; urgency=medium

  * Fix systemd-tty-ask-password-agent path on non-merged systems

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Feb 2021 14:05:17 +0000

plymouth (0.9.4+mint1) ulyssa; urgency=medium

  * Text-plugin: Fix centering title which length isn't an even number

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 12 Dec 2020 16:14:13 +0000
