## plymouth 0.9.4+mint2+ulyssa

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,7 @@
 	cp -f /usr/share/misc/config.sub build-tools
 
 	dh_auto_configure -- \
+	    SYSTEMD_ASK_PASSWORD_AGENT=/bin/systemd-tty-ask-password-agent \
 		--disable-silent-rules \
 		--prefix=/usr \
 		--localstatedir=/var \
@@ -38,10 +39,10 @@
 		--enable-static \
 		--enable-tracing \
 		--disable-gdm-transition \
-		--with-background-color=0x000000 \
-		--with-background-start-color-stop=0x000000 \
-		--with-background-end-color-stop=0x000000 \
-		--with-logo=/usr/share/plymouth/trisquel-logo.png \
+		--with-background-color=0x2c001e \
+		--with-background-start-color-stop=0x2c001e \
+		--with-background-end-color-stop=0x2c001e \
+		--with-logo=/usr/share/plymouth/ubuntu-logo.png \
 		--with-release-file=/etc/os-release \
 		--with-system-root-install \
 		--without-rhgb-compat-link
@@ -79,10 +80,10 @@
 	install -D -m 0755 debian/local/plymouth.panic debian/plymouth/usr/share/initramfs-tools/scripts/panic/plymouth
 
 	# Adding other debian specific files
-	install -D -m 0644 themes/trisquel-logo/trisquel-logo.png debian/plymouth/usr/share/plymouth/trisquel-logo.png
+	install -D -m 0644 themes/ubuntu-logo/ubuntu-logo.png debian/plymouth/usr/share/plymouth/ubuntu-logo.png
 	install -D -m 0755 debian/local/plymouth-update-initrd debian/plymouth/usr/lib/$(DEB_HOST_MULTIARCH)/plymouth/plymouth-update-initrd
 	install -D -m 0644 debian/local/plymouth.lsb debian/plymouth/lib/lsb/init-functions.d/99-plymouth
-	install -D -m 0644 themes/trisquel-logo/trisquel-logo.png debian/plymouth/usr/share/plymouth/themes/spinner/watermark.png
+	install -D -m 0644 themes/ubuntu-logo/ubuntu-logo.png debian/plymouth/usr/share/plymouth/themes/spinner/watermark.png
 
 	# Adding apport file (from Ubuntu)
 	mkdir -p debian/plymouth/usr/share/apport/package-hooks
