## plymouth 0.9.4.1

=== debian/changelog ===
plymouth (0.9.4.1-1+eagle) unstable; urgency=low

  * ['Autobuild release-candidate: 7a2862b326715be6b564e1a2b36a742201edf996']

 -- shuttle <shuttle@deepin.com>  Mon, 29 Jun 2020 14:22:36 +0000
