## plymouth 0.9.4.1pearl9.2

=== debian/changelog ===
plymouth (0.9.4.1pearl9.2) qanon+; urgency=medium

  * Rebuild for Pearl 9.2

 -- Scott Vandergrift <scottvandergrift@gmail.com>  Sun, 19 Sep 2021 23:33:52 -0500
